<?php
/**
 * @version 2.0 2012-03-07
 * @package Joomla
 * @subpackage Intellectual Property
 * @copyright (C) 2012 the Thinkery
 * @license GNU/GPL see LICENSE.php
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.plugin.plugin');

class plgIpropertyAfterSavePropertyEdit extends JPlugin
{
	function plgIpropertyAfterSavePropertyEdit(&$subject, $config)  
    {
		parent::__construct($subject, $config);
	}

	function onAfterSavePropertyEdit($prop_id, $isNew, $settings)
	{
        $app = JFactory::getApplication();
		if($app->getName() != 'administrator') return true;

        $recipients = $this->params->get('recipients', '');
        if(!$recipients) return true;
        $subject    = $this->params->get('subjecttext', 'Save Property Edit Sample');
        $body       = $this->params->get('bodytext', 'Sample after property is edited and saved.');
        $cc         = $this->params->get('cc', '');
        $bcc        = $this->params->get('bcc', '');
        $from_name  = $post['sender_name'];
        $from_email = $post['sender_email'];
        $mode       = $this->params->get('htmlemail', 1);

        JUtility::sendMail($app->getCfg('mailfrom'), $app->getCfg('fromname'), $recipients, $subject, $body, $mode, $cc, $bcc, $attachment, $from_email, $from_name);
		return true;
	}
}
