<?php
/**
 * @version 2.0 2012-03-07
 * @package Joomla
 * @subpackage Intellectual Property
 * @copyright (C) 2012 the Thinkery
 * @license GNU/GPL see LICENSE.php
 */

defined('JPATH_BASE') or die;

jimport('joomla.html.html');
jimport('joomla.form.formfield');
require_once (JPATH_ADMINISTRATOR.DS.'components'.DS.'com_iproperty'.DS.'classes'.DS.'admin.class.php' );
require_once (JPATH_SITE.DS.'components'.DS.'com_iproperty'.DS.'helpers'.DS.'html.helper.php' );

class JFormFieldCompany extends JFormField
{
    protected $type = 'Company';

	protected function getInput()
	{
        $useauth    = ($this->element['useauth']) ? true : false;

        JPlugin::loadLanguage('com_iproperty', JPATH_ADMINISTRATOR);
        $companies = ipropertyHTML::companySelectList('','','', true, $useauth);
		return JHtml::_('select.genericlist', $companies, $this->name, 'class="inputbox"', 'value', 'text', $this->value, $this->id);
	}

    public function getOptions($useauth = '')
	{
        $useauth    = ($useauth) ? true : false;
        
        JPlugin::loadLanguage('com_iproperty', JPATH_ADMINISTRATOR);

		$options = array();
		$options = ipropertyHTML::companySelectList('','','', true, $useauth);

		return $options;
    }
}