<?php
/**
 * @version 2.0 2012-03-07
 * @package Joomla
 * @subpackage Intellectual Property
 * @copyright (C) 2012 the Thinkery
 * @license GNU/GPL see LICENSE.php
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.plugin.plugin');

class plgIpropertyAfterForms extends JPlugin
{
	function plgIpropertyAfterForms(&$subject, $config)  {
		parent::__construct($subject, $config);
        $this->loadLanguage();
	}

	function onAfterRenderForms($property, $settings, $pane, $sidecol)
	{
		$app = JFactory::getApplication();
		if($app->getName() != 'site') return true;

		echo JHtml::_('tabs.panel', JText::_($this->params->get('sampletitle', 'Sample Tab')), 'ipnewformtab');
        ?>
            <div class="ip_spacer"></div>
            <table class="summary_table" width="100%">
              <tr>
                  <td valign="top" class="summary_left">
                    <?php echo $this->params->get('sampletext', 'Sample tab content'); ?>
                  </td>
                  <?php echo $sidecol; ?>
              </tr>
            </table>
        <?php
		return true;
	}
}
