<?php
/**
 * @version 2.0 2012-03-07
 * @package Joomla
 * @subpackage Intellectual Property
 * @copyright (C) 2012 the Thinkery
 * @license GNU/GPL see LICENSE.php
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.plugin.plugin');
if(file_exists(JPATH_PLUGINS . DS . 'content' . DS . 'jom_comment_bot.php')){
    include_once( JPATH_PLUGINS . DS . 'content' . DS . 'jom_comment_bot.php' );
}

class plgIpropertyJomcomment extends JPlugin
{
	function plgIpropertyJomcomment(&$subject, $config)  {
		parent::__construct($subject, $config);
        $this->loadLanguage();
	}

	function onAfterRenderForms($property, $settings, $sidecol)
	{
        $app = JFactory::getApplication();
		if($app->getName() != 'site') return true;
        if(!function_exists('jomcomment')) return true;
        		
		echo JHtml::_('tabs.panel', JText::_($this->params->get('tabtitle', 'PLG_IP_JC_COMMENTS')), 'ipjomcomment');
		echo jomcomment($property->id, "com_iproperty");
		
		return true;
	}	
}
