<?php
/**
 * @version 2.0 2012-03-07
 * @package Joomla
 * @subpackage Intellectual Property
 * @copyright (C) 2012 the Thinkery
 * @license GNU/GPL see LICENSE.php
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.plugin.plugin');

class plgIpropertyAfterMap extends JPlugin
{
	function plgIpropertyAfterMap(&$subject, $config)  {
		parent::__construct($subject, $config);
        $this->loadLanguage();
	}

	function onAfterRenderMap($property, $settings, $height, $width, $accent)
	{
		$app = JFactory::getApplication();
		if($app->getName() != 'site') return true;

		echo JHtml::_('tabs.panel', JText::_($this->params->get('sampletitle', 'Sample Tab')), 'ipnewtab');
        ?>
            <div class="ip_spacer"></div>
            <div style="height: <?php echo $height; ?>px; width: <?php echo $width; ?>px; overflow: auto; background: <?php echo $accent; ?>;">
                <?php echo $this->params->get('sampletext', 'Sample tab content'); ?>
            </div>
        <?php
		return true;
	}
}
