<?php
/**
 * @version 2.0 2012-03-07
 * @package Joomla
 * @subpackage Intellectual Property
 * @copyright (C) 2012 the Thinkery
 * @license GNU/GPL see LICENSE.php
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.plugin.plugin');

class plgIpropertyStreetViewTab extends JPlugin
{
	function plgIpropertyStreetViewTab(&$subject, $config)  
    {
		parent::__construct($subject, $config);
        $this->loadLanguage();
	}

	function onAfterRenderMap($property, $settings, $height, $width, $accent)
	{
        $app = JFactory::getApplication();
		if($app->getName() != 'site') return true;
        if(!$settings->googlemap_enable) return true;
        if(!$property->lat_pos || !$property->long_pos || !$property->show_map) return true;

		echo JHtml::_('tabs.panel', JText::_($this->params->get('tabtitle', 'PLG_IP_SV_STREETVIEW')), 'ipstreetview');
        ?>
            <div class="ip_spacer"></div>
            <div id="pano" style="height: <?php echo $height; ?>px; width: <?php echo $width; ?>px; overflow: auto; background: <?php echo $accent; ?>;"></div>
        <?php
		return true;
	}
}
